--- title: "Download invalid Rule Members CSV file" slug: "download-invalid-rule-members-csv-file-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:44Z published: 2026-11-19T12:57:44Z canonical: "docs.trellix.com/download-invalid-rule-members-csv-file-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Download invalid Rule Members CSV file This URL downloads a CSV file containing a list of invalid rule members. ### Resource URL GET /ruleobject/downloadInvalidROMembers?ruleObjectId= ### Request Parameters URL Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `ruleobject_id` | Rule object ID | Number | Yes | > [!NOTE] > Note > > Make sure to set the **Accept** header value to `application/octet-stream`. ### Response Parameters None | Field Name | Description | Data Type | | --- | --- | --- | | `errorId` | ID of the SDK API error | String | | `errorMessage` | Error message displayed in the response if there are no invalid entries | String | ### Example **Request** GET [https:///sdkapi/ruleobject/downloadInvalidROMembers?ruleObjectId=235](https://<NSM_IP>/sdkapi/ruleobject/downloadInvalidROMembers?<ruleobject_id>) **Response if there are invalid entries** ``` 2001::1, test incorrect 1 10.1.1.1000, test incorrect 2 5.182.210,Testing purpose 5.183.209,Testing purpose 5.199.143,Testing purpose 18.27.197,Testing purpose 23.129.64,Testing purpose ``` **Response if there are no invalid entries** ``` {    "errorId": 1001,    "errorMessage": "Internal Error - File Not Found !!!" } ``` > [!NOTE] > Note > > If the rule object does not contain invalid rule members, then CSV file will not be created. In such case, an error is displayed as shown in the above response. ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal Error - File Not Found !!! |